<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\DB;

class AddPhotoColumnToNomineeTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('nominee', function (Blueprint $table) {
            $table->dropColumn('image');
        });

        if (Schema::hasColumn('nominee', 'image_path')) {
            Schema::table('nominee', function (Blueprint $table) {
                $table->dropColumn('image_path');
            });
        }

        DB::statement("ALTER TABLE nominee ADD photo MEDIUMBLOB");
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('nominee', function (Blueprint $table) {
            $table->dropColumn('photo');
            $table->string('image');
        });
    }
}
